## org.gjt.sp.jedit.datatransfer
Class JEditTransferable

    java.lang.Object
      org.gjt.sp.jedit.datatransfer.JEditTransferable

All Implemented Interfaces:
  java.awt.datatransfer.Transferable

    public class JEditTransferable

extends java.lang.Object
implements java.awt.datatransfer.Transferable

Since:
  jEdit 4.4.x

Constructor Summary
`JEditTransferable(java.util.Map<java.awt.datatransfer.DataFlavor,java.awt.datatransfer.Transferable> flavors)`

Method Summary
`java.lang.Object` `getTransferData(java.awt.datatransfer.DataFlavor flavor)`
`java.awt.datatransfer.DataFlavor[]` `getTransferDataFlavors()`
`boolean` `isDataFlavorSupported(java.awt.datatransfer.DataFlavor flavor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JEditTransferable

    public JEditTransferable(java.util.Map<java.awt.datatransfer.DataFlavor,java.awt.datatransfer.Transferable> flavors)

Method Detail

### getTransferDataFlavors

    public java.awt.datatransfer.DataFlavor[] getTransferDataFlavors()

  Specified by:
    `getTransferDataFlavors` in interface `java.awt.datatransfer.Transferable`

### isDataFlavorSupported

    public boolean isDataFlavorSupported(java.awt.datatransfer.DataFlavor flavor)

  Specified by:
    `isDataFlavorSupported` in interface `java.awt.datatransfer.Transferable`

### getTransferData

    public java.lang.Object getTransferData(java.awt.datatransfer.DataFlavor flavor)
                                     throws java.awt.datatransfer.UnsupportedFlavorException,
                                            java.io.IOException

  Specified by:
    `getTransferData` in interface `java.awt.datatransfer.Transferable`
  Throws:
    `java.awt.datatransfer.UnsupportedFlavorException`
    `java.io.IOException`